<?php
			include("corps_html.php");
	
			session_start();
			include('database.php');
			DB_connexion(); 

			$tab_projet= array();
			$ligne_par_page = 8;
			$selection = false;
			
			$projet = $_GET['projet'];
	 
			if( !isset($_POST['statut']) && !isset($_GET['position']) )
			{ 
				$statut = "tous";
				$requete = "SELECT * FROM projet";
				$result = mysql_query($requete);
				$nb_enregistrement = mysql_num_rows($result);
				//echo "<BR>";
				//echo "par défaut";
				//echo "</BR>";
				if($nb_enregistrement > $ligne_par_page)
				{  
					$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
				}
				if($nb_enregistrement <= $ligne_par_page)
				{ 
					$nombre_pages = 1;
				}	
				$pageActuelle=1; 
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
			}    	
	  	
			if( isset($_GET['page']) ) 	
			{  
				//echo "<BR>";
				//echo "pagination";
				//echo "</BR>";
				$requete = "SELECT * FROM projet";
				$result = mysql_query($requete);
				$nb_enregistrement = mysql_num_rows($result);
				if($nb_enregistrement > $ligne_par_page)
				{  
					$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
				}
				if($nb_enregistrement <= $ligne_par_page)
				{ 
					$nombre_pages = 1;
				}
	      
				$pageActuelle = $_GET['page']; 
				//echo "<BR>";
				//echo "---->  " .$pageActuelle;
				//echo "</BR>";
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
			}	 
	  
			if( isset($_GET['nom_projet'] )  && $_GET['mot'] != ""  ) 	
			{  
				$nom_projet = $_GET['mot'];	
				//echo "<BR>";
				//echo "Recherche  " .$nom_projet;
				//echo "</BR>";
				$nombre_pages = 1;
				$pageActuelle=1; 
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
				$selection = true;
			}
	  
	  
			if( isset($_GET['nom_projet'] )  && $_GET['mot'] == ""  ) 	
			{	 
				if( $_GET['nom_projet'] == "--[ Tous ]--")
				{ 
					$nom_projet = $_GET['nom_projet'];
				}	
	    		else
				{
					$nom_projet = $_GET['nom_projet'];
					$nombre_pages = 1;
					$pageActuelle=1; 
					$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
					$selection = true;
				} 
	     
				//echo "<BR>";
				//echo "Selection  " .$nom_projet;
				//echo "</BR>";
			}
	
?>	

<script>

function selection_bloc()
{
			var bloc = document.getElementById('bloc').value;
			var projet = document.getElementById('projet').value;
			window.location.replace("edition_bloc.php?bloc=" + bloc + "&projet=" + projet);
}

</script>

<style>
textarea {
   resize: none;
}
</style>

<body>

	<div class="layout">

<?php
	include("header.php");
?>	
		
<!-- Main -->
		<div class="main">
			<div class="container">
				<div class="row">
				
				<div class="col-md-8">
						<!-- Content -->
						<div class="content">
							<div class="page-header">
								<!--<h3>Interface du gestionnaire de projets</h3> -->
								<h2><i class="icon-bullhorn"></i> <span>Liste des blocs</span></h2>
							</div>
								
							<!-- Single Page -->
							<div class="page">
								
							<div class="examples">
							<input type="hidden" id = "projet" name="projet" value="<?php echo $projet; ?>">
							
							<!------>
<?php							
							
							$table = $projet."_data";
							$requete = "SELECT * FROM $table";	
							$retour = mysql_query($requete);
							
							echo "<select size = '10' name='bloc' id='bloc'>";
							
							
							$i = 0;
							
							while($data = mysql_fetch_assoc($retour)) 
							{
									echo "<option value=" .$data['nom_bloc'] .">"  .$data['nom_bloc']  ."</option>";
								
							}
?>
						
							</select>
							
							<br/><br/>
							<input class="btn btn-primary" type="submit" value="Selectionner" name="selection" onclick="selection_bloc()" />
							
						
							<!------->
							
							</div>	
								
							<div class="clear"></div>

							<div class="clear"></div>
							</div>
							<!-- End Single Page -->
						</div>
						<!-- End Content -->
				</div>
					
				</div>
			</div>
		</div>
<!-- End Main -->
		
<?php
	include("footer.php");
?>		

	</div>

</body>
</html>
